/* global wp, jQuery */
/**
 * File customizer.js.
 *
 * Theme Customizer enhancements for a better user experience.
 *
 * Contains handlers to make Theme Customizer preview reload changes asynchronously.
 */

( function( $ ) {
	// Site title and description.
	wp.customize( 'blogname', function( value ) {
		value.bind( function( to ) {
			$( '.site-title a' ).text( to );
		} );
	} );
	wp.customize( 'blogdescription', function( value ) {
		value.bind( function( to ) {
			$( '.site-description' ).text( to );
		} );
	} );
	
	wp.customize( 'background_color', function( value ) {
		value.bind( function( themeColor ) {
				$( '.itpg-content-svg path' ).css( 'fill', themeColor ) ;
				$( '#colophon' ).css( 'color', themeColor );
		} );
	} );
	
	wp.customize( 'itpg_container_width', function( value ) {
		value.bind( function( continerWidth ) {
				$( 'body' ).not('.page-template-template-front-page').find('#content-wrapper').css( 'width', continerWidth + 'px' ) ;
		} );
	} );
	
/*
	wp.customize( 'itpg_social_footer_1', function( value ) {
		console.log(value)
	} )
*/

	// Header text color.
	wp.customize( 'header_textcolor', function( value ) {
		value.bind( function( to ) {
			if ( 'blank' === to ) {
				$( '.site-title, .site-description' ).css( {
					clip: 'rect(1px, 1px, 1px, 1px)',
					position: 'absolute',
				} );
			} else {
				$( '.site-title, .site-description' ).css( {
					clip: 'auto',
					position: 'relative',
				} );
				$( '.site-title a, .site-description,#header_content_wrapper, #masthead #top-bar button' ).css( {
					color: to,
				} );
			}
		} );
	} );
}( jQuery ) );
