<?php
/**
 *	Customizer Controls for General Settings for the theme
 */
 
function itpg_general_customize_register( $wp_customize ) {
	
	$wp_customize->add_section(
		"itpg_general_options", array(
			"title"			=>	esc_html__("General", "it-photographer"),
			"description"	=>	esc_html__("General Settings for the Theme", "it-photographer"),
			"priority"		=>	5
		)
	);
	
	$wp_customize->add_setting(
        'itpg_sidebar_width', array(
            'default'    =>  25,
            'sanitize_callback'  =>  'absint'
        )
    );

    $wp_customize->add_control(
        new itpg_Range_Value_Control(
            $wp_customize, 'itpg_sidebar_width', array(
	            'label'         =>	esc_html__( 'Sidebar Width', 'it-photographer' ),
            	'type'          => 'itpg-range-value',
            	'section'       => 'itpg_general_options',
            	'settings'      => 'itpg_sidebar_width',
                'priority'		=>  5,
            	'input_attrs'   => array(
            		'min'            => 25,
            		'max'            => 40,
            		'step'           => 1,
            		'suffix'         => '%', //optional suffix
				),
            )
        )
    );
    
    $wp_customize->add_setting(
	    'itpg_site_layout', array(
		    'default'			=>	'box',
		    'sanitize_callback'	=>	'itpg_sanitize_select'
	    )
    );
    
    $wp_customize->add_control(
	    'itpg_site_layout', array(
		    'label'		=>	__('Site Layout', 'it-photographer'),
		    'type'		=>	'select',
		    'section'	=>	'itpg_general_options',
		    'settings'	=>	'itpg_site_layout',
		    'priority'	=>	10,
		    'choices'	=>	array(
			    'box'	=>	__('Box Layout', 'it-photographer'),
			    'full'	=>	__('Full Width Layout', 'it-photographer')
		    )
	    )
    );
    
     $wp_customize->add_setting(
        'itpg_container_width', array(
            'default'    		=>  1140,
            'sanitize_callback' =>  'absint',
            'transport'			=>	'postMessage'
        )
    );
    
    $wp_customize->add_control(
        new itpg_Range_Value_Control(
            $wp_customize, 'itpg_container_width', array(
	            'label'         =>	__( 'Container Width', 'it-photographer' ),
	            'description'	=>	__('in px. (Will not work for Front Page Template.)', 'it-photographer'),
            	'type'          => 'itpg-range-value',
            	'section'       => 'itpg_general_options',
            	'settings'      => 'itpg_container_width',
                'priority'		=>  15,
            	'input_attrs'   => array(
            		'min'            => 1000,
            		'max'            => 1300,
            		'step'           => 1,
            		'suffix'         => '', //optional suffix
				),
            )
        )
    );
}
add_action("customize_register", "itpg_general_customize_register");