<?php
/**
 *	Customizer Controls for Sidebar
**/

function itpg_sidebr_customize_register( $wp_customize ) {
	
	$wp_customize->add_panel(
		"itpg_layouts_panel", array(
			"title"			=>	esc_html__("Layouts", 'it-photographer'),
			"description"	=>	esc_html__("Layout Settings for the Theme", 'it-photographer'),
			"priority"		=>	20
		)
	);
	
	$wp_customize->add_section(
		"itpg_blog", array(
			"title"			=>	esc_html__("Blog Page", 'it-photographer'),
			"description"	=>	esc_html__("Control the Layout Settings for the Blog Page", 'it-photographer'),
			"priority"		=>	10,
			"panel"			=>	"itpg_layouts_panel"
		)
	);
	
	$wp_customize->add_setting(
		'itpg_blog_layout', array(
			'default'	=>	'classic',
			'sanitize_callback'	=>	'itpg_sanitize_select'
		)
	);
	
	$wp_customize->add_control(
		'itpg_blog_layout', array(
			'label'		=>	__('Layout', 'it-photographer'),
			'type'		=>	'select',
			'section'	=>	'itpg_blog',
			'priority'	=>	3,
			'choices'	=>	array(
				'classic'		=>	__('Classic', 'it-photographer'),
				'metro'			=>	__('Metro', 'it-photographer'),
				'grid2'			=>	__('Grid - 2 Column', 'it-photographer'),
				'grid3'			=>	__('Grid - 3 Column', 'it-photographer')
			)
		)
	);
	
	$wp_customize->add_setting(
		"itpg_blog_sidebar_enable", array(
			"default"			=>	"",
			"sanitize_callback"	=>	"itpg_sanitize_checkbox"
		)
	);
	
	$wp_customize->add_control(
		"itpg_blog_sidebar_enable", array(
			"label"		=>	esc_html__("Enable Sidebar for Blog Page.", 'it-photographer'),
			"type"		=>	"checkbox",
			"section"	=>	"itpg_blog",
			"priority"	=>	5
		)
	);
	
	
	
	$wp_customize->add_setting(
     "itpg_blog_sidebar_layout", array(
       "default"  => "right",
       "sanitize_callback"  => "itpg_sanitize_radio",
     )
   );
   
   $wp_customize->add_control(
	   new itpg_Image_Radio_Control(
		   $wp_customize, "itpg_blog_sidebar_layout", array(
			   "label"		=>	esc_html__("Sidebar Layout", 'it-photographer'),
			   "type"		=>	"itpg-image-radio",
			   "section"	=> "itpg_blog",
			   "settings"	=> "itpg_blog_sidebar_layout",
			   "priority"	=> 10,
			   "choices"	=>	array(
					"left"		=>	array(
						"name"	=>	esc_html__("Left Sidebar", 'it-photographer'),
						"image"	=>	esc_url(get_template_directory_uri() . "/assets/images/left-sidebar.png")
					),
					"right"		=>	array(
						"name"	=>	esc_html__("Right Sidebar", 'it-photographer'),
						"image"	=>	esc_url(get_template_directory_uri() . "/assets/images/right-sidebar.png")
					)   
			   )
		   )
	   )
   );
   
    $sidebar_controls = array_filter( array(
        $wp_customize->get_control( 'itpg_blog_sidebar_layout' ),
    ) );
    foreach ( $sidebar_controls as $control ) {
        $control->active_callback = function( $control ) {
            $setting = $control->manager->get_setting( 'itpg_blog_sidebar_enable' );
            if (  $setting->value() ) {
                return true;
            } else {
                return false;
            }
        };
    }
    
    $wp_customize->add_setting(
	    'itpg-blog-excerpt-length', array(
		    'default'			=>	15,
		    'sanitize_callback'	=>	'absint'
	    )
    );
    
    $wp_customize->add_control(
	    'itpg-blog-excerpt-length', array(
		    'label'		=>	__('Excerpt Length', 'it-photographer'),
		    'description'	=>	__('This works for blog, archives, and Search page', 'it-photographer'),
		    'type'		=>	'number',
		    'section'	=>	'itpg_blog',
		    'priority'	=>	13
	    )
    );
	
	$wp_customize->add_section(
		"itpg_single", array(
			"title"			=>	esc_html__("Single Post", 'it-photographer'),
			"description"	=>	esc_html__("Control the Layout Settings for the Single Post Page", 'it-photographer'),
			"priority"		=>	20,
			"panel"			=>	"itpg_layouts_panel"
		)
	);
	
	$wp_customize->add_setting(
		"itpg_single_featured_enable", array(
			"default"			=>	1,
			"sanitize_callback"	=>	"itpg_sanitize_checkbox"
		)
	);
	
	$wp_customize->add_control(
		"itpg_single_featured_enable", array(
			"label"		=>	esc_html__("Enable Featured Image", 'it-photographer'),
			"type"		=>	"checkbox",
			"section"	=>	"itpg_single",
			"priority"	=>	3
		)
	);
	
	$wp_customize->add_setting(
		"itpg_single_sidebar_enable", array(
			"default"			=>	1,
			"sanitize_callback"	=>	"itpg_sanitize_checkbox"
		)
	);
	
	$wp_customize->add_control(
		"itpg_single_sidebar_enable", array(
			"label"		=>	esc_html__("Enable Sidebar for Posts", 'it-photographer'),
			"type"		=>	"checkbox",
			"section"	=>	"itpg_single",
			"priority"	=>	5
		)
	);
	
	$wp_customize->add_setting(
     "itpg_single_sidebar_layout", array(
       "default"  => "right",
       "sanitize_callback"  => "itpg_sanitize_radio",
     )
   );
   
   $wp_customize->add_control(
	   new itpg_Image_Radio_Control(
		   $wp_customize, "itpg_single_sidebar_layout", array(
			   "label"		=>	esc_html__("Single Post Layout", 'it-photographer'),
			   "type"		=>	"itpg-image-radio",
			   "section"	=> "itpg_single",
			   "Settings"	=> "itpg_single_sidebar_layout",
			   "priority"	=> 10,
			   "choices"	=>	array(
					"left"		=>	array(
						"name"	=>	esc_html__("Left Sidebar", 'it-photographer'),
						"image"	=>	esc_url(get_template_directory_uri() . "/assets/images/left-sidebar.png")
					),
					"right"		=>	array(
						"name"	=>	esc_html__("Right Sidebar", 'it-photographer'),
						"image"	=>	esc_url(get_template_directory_uri() . "/assets/images/right-sidebar.png")
					)   
			   )
		   )
	   )
   );
   
   $sidebar_controls = array_filter( array(
        $wp_customize->get_control( 'itpg_single_sidebar_layout' ),
    ) );
    foreach ( $sidebar_controls as $control ) {
        $control->active_callback = function( $control ) {
            $setting = $control->manager->get_setting( 'itpg_single_sidebar_enable' );
            if (  $setting->value() ) {
                return true;
            } else {
                return false;
            }
        };
    }
    
    $wp_customize->add_setting(
		"itpg_single_citation_enable", array(
			"default"			=>	1,
			"sanitize_callback"	=>	"itpg_sanitize_checkbox"
		)
	);
	
	$wp_customize->add_control(
		"itpg_single_citation_enable", array(
			"label"		=>	esc_html__("Enable Image Citations in Posts", 'it-photographer'),
			"type"		=>	"checkbox",
			"section"	=>	"itpg_single",
			"priority"	=>	15
		)
	);
   
   $wp_customize->add_setting(
		"itpg_single_navigation_enable", array(
			"default"			=>	1,
			"sanitize_callback"	=>	"itpg_sanitize_checkbox"
		)
	);
	
	$wp_customize->add_control(
		"itpg_single_navigation_enable", array(
			"label"		=>	esc_html__("Enable Post Navigation", 'it-photographer'),
			"type"		=>	"checkbox",
			"section"	=>	"itpg_single",
			"priority"	=>	15
		)
	);
	
	$wp_customize->add_setting(
		"itpg_single_related_enable", array(
			"default"			=>	1,
			"sanitize_callback"	=>	"itpg_sanitize_checkbox"
		)
	);
	
	$wp_customize->add_control(
		"itpg_single_related_enable", array(
			"label"		=>	esc_html__("Enable Related Posts Section", 'it-photographer'),
			"type"		=>	"checkbox",
			"section"	=>	"itpg_single",
			"priority"	=>	20
		)
	);
	
	$wp_customize->add_setting(
		"itpg_single_author_enable", array(
			"default"			=>	1,
			"sanitize_callback"	=>	"itpg_sanitize_checkbox"
		)
	);
	
	$wp_customize->add_control(
		"itpg_single_author_enable", array(
			"label"		=>	esc_html__("Enable Author Box", 'it-photographer'),
			"type"		=>	"checkbox",
			"section"	=>	"itpg_single",
			"priority"	=>	25
		)
	);
	
	$wp_customize->add_section(
		"itpg_search", array(
			"title"			=>	esc_html__("Search Page", 'it-photographer'),
			"description"	=>	esc_html__("Layout Settings for the Search Page", 'it-photographer'),
			"priority"		=>	30,
			"panel"			=>	"itpg_layouts_panel"
		)
	);
	
	$wp_customize->add_setting(
		'itpg_search_layout', array(
			'default'			=>	'classic',
			'sanitize_callback'	=>	'itpg_sanitize_select'
		)
	);
	
	$wp_customize->add_control(
		'itpg_search_layout', array(
			'label'		=>	__('Search Page Layout', 'it-photographer'),
			'type'		=>	'select',
			'section'	=>	'itpg_search',
			'priority'	=>	3,
			'choices'	=>	array(
				'classic'		=>	__('Classic', 'it-photographer'),
				'metro'			=>	__('Metro', 'it-photographer'),
				'grid2'			=>	__('Grid - 2 Column', 'it-photographer'),
				'grid3'			=>	__('Grid - 3 Column', 'it-photographer')
				
			)
		)
	);
	
	$wp_customize->add_setting(
		"itpg_search_sidebar_enable", array(
			"default"			=>	1,
			"sanitize_callback"	=>	"itpg_sanitize_checkbox"
		)
	);
	
	$wp_customize->add_control(
		"itpg_search_sidebar_enable", array(
			"label"		=>	esc_html__("Enable Sidebar for Search Page", 'it-photographer'),
			"type"		=>	"checkbox",
			"section"	=>	"itpg_search",
			"priority"	=>	5
		)
	);
	
	$wp_customize->add_setting(
     "itpg_search_sidebar_layout", array(
       "default"  => "right",
       "sanitize_callback"  => "itpg_sanitize_radio",
     )
   );
   
   $wp_customize->add_control(
	   new itpg_Image_Radio_Control(
		   $wp_customize, "itpg_search_sidebar_layout", array(
			   "label"		=>	esc_html__("Sidebar Layout", 'it-photographer'),
			   "type"		=>	"itpg-image-radio",
			   "section"	=> "itpg_search",
			   "Settings"	=> "itpg_search_sidebar_layout",
			   "priority"	=> 10,
			   "choices"	=>	array(
					"left"		=>	array(
						"name"	=>	esc_html__("Left Sidebar", 'it-photographer'),
						"image"	=>	esc_url(get_template_directory_uri() . "/assets/images/left-sidebar.png")
					),
					"right"		=>	array(
						"name"	=>	esc_html__("Right Sidebar", 'it-photographer'),
						"image"	=>	esc_url(get_template_directory_uri() . "/assets/images/right-sidebar.png")
					)   
			   )
		   )
	   )
   );
   
   $sidebar_controls = array_filter( array(
        $wp_customize->get_control( 'itpg_search_sidebar_layout' ),
    ) );
    foreach ( $sidebar_controls as $control ) {
        $control->active_callback = function( $control ) {
            $setting = $control->manager->get_setting( 'itpg_search_sidebar_enable' );
            if (  $setting->value() ) {
                return true;
            } else {
                return false;
            }
        };
    }
   
   $wp_customize->add_section(
		"itpg_archive", array(
			"title"			=>	esc_html__("Archive Page", 'it-photographer'),
			"description"	=>	esc_html__("Layout Settings for the Archives - Categories, Tags, Date, Author etc.", 'it-photographer'),
			"priority"		=>	40,
			"panel"			=>	"itpg_layouts_panel"
		)
	);
	
	$wp_customize->add_setting(
		'itpg_archive_layout', array(
			'default'	=>	'classic',
			'sanitize_callback'	=>	'itpg_sanitize_select'
		)
	);
	
	$wp_customize->add_control(
		'itpg_archive_layout', array(
			'label'		=>	__('Archive Page Layout', 'it-photographer'),
			'type'		=>	'select',
			'section'	=>	'itpg_archive',
			'priority'	=>	3,
			'choices'	=>	array(
				'classic'		=>	__('Classic', 'it-photographer'),
				'metro'			=>	__('Metro', 'it-photographer'),
				'grid2'			=>	__('Grid - 2 Column', 'it-photographer'),
				'grid3'			=>	__('Grid - 3 Column', 'it-photographer')
			)
		)
	);
	
	$wp_customize->add_setting(
		"itpg_archive_sidebar_enable", array(
			"default"			=>	1,
			"sanitize_callback"	=>	"itpg_sanitize_checkbox"
		)
	);
	
	$wp_customize->add_control(
		"itpg_archive_sidebar_enable", array(
			"label"		=>	esc_html__("Enable Sidebar for Archives", 'it-photographer'),
			"type"		=>	"checkbox",
			"section"	=>	"itpg_archive",
			"priority"	=>	5
		)
	);
	
	$wp_customize->add_setting(
     "itpg_archive_sidebar_layout", array(
       "default"  => "right",
       "sanitize_callback"  => "itpg_sanitize_radio",
     )
   );
   
   $wp_customize->add_control(
	   new itpg_Image_Radio_Control(
		   $wp_customize, "itpg_archive_sidebar_layout", array(
			   "label"		=>	esc_html__("Sidebar Layout", 'it-photographer'),
			   "type"		=>	"itpg-image-radio",
			   "section"	=> "itpg_archive",
			   "Settings"	=> "itpg_archive_sidebar_layout",
			   "priority"	=> 10,
			   "choices"	=>	array(
					"left"		=>	array(
						"name"	=>	esc_html__("Left Sidebar", 'it-photographer'),
						"image"	=>	esc_url(get_template_directory_uri() . "/assets/images/left-sidebar.png")
					),
					"right"		=>	array(
						"name"	=>	esc_html__("Right Sidebar", 'it-photographer'),
						"image"	=>	esc_url(get_template_directory_uri() . "/assets/images/right-sidebar.png")
					)   
			   )
		   )
	   )
   );
   
   $sidebar_controls = array_filter( array(
        $wp_customize->get_control( 'itpg_search_sidebar_layout' ),
    ) );
    foreach ( $sidebar_controls as $control ) {
        $control->active_callback = function( $control ) {
            $setting = $control->manager->get_setting( 'itpg_search_sidebar_enable' );
            if (  $setting->value() ) {
                return true;
            } else {
                return false;
            }
        };
    }
}
add_action("customize_register", "itpg_sidebr_customize_register");