<?php
/**
 * Enqueue scripts and styles.
 */
function itpg_scripts() {
	wp_enqueue_style( 'itpg-style', get_stylesheet_uri(), array(), ITPG_VERSION );
	wp_style_add_data( 'itpg-style', 'rtl', 'replace' );
	
	wp_enqueue_style( 'itpg-fonts', 'https://fonts.googleapis.com/css?family=Josefin+Sans|Source+Sans+Pro:400,700&display=swap', array(), ITPG_VERSION );

	wp_enqueue_style( 'itpg-main-style', esc_url(get_template_directory_uri() . '/assets/theme-styles/css/default.css'), array(), ITPG_VERSION );
	
	wp_enqueue_style( 'bootstrap', esc_url(get_template_directory_uri() . '/assets/bootstrap/bootstrap.css'), array(), ITPG_VERSION );
	
	wp_enqueue_style( 'owl', esc_url(get_template_directory_uri() . '/assets/owl/owl.carousel.css'), array(), ITPG_VERSION );
	
	wp_enqueue_style( 'mag-popup', esc_url(get_template_directory_uri() . '/assets/magnific-popup/magnific-popup.css'), array(), ITPG_VERSION );
	
	wp_enqueue_style( 'font-awesome', esc_url(get_template_directory_uri() . '/assets/fonts/font-awesome.css'), array(), ITPG_VERSION );
	
	wp_enqueue_script( 'big-slide', esc_url(get_template_directory_uri() . '/assets/js/bigSlide.js'), array('jquery'), ITPG_VERSION );
	
	wp_enqueue_script( 'masonry', esc_url(get_template_directory_uri() . '/assets/js/masonry.js'), array('jquery'), ITPG_VERSION );
	
	wp_enqueue_script( 'itpg-custom-js', esc_url(get_template_directory_uri() . '/assets/js/custom.js'), array('jquery'), ITPG_VERSION );
	
	wp_enqueue_script( 'owl-js', esc_url(get_template_directory_uri() . '/assets/js/owl.carousel.js'), array('jquery'), ITPG_VERSION );
	
	wp_enqueue_script( 'mag-lightbox-js', esc_url(get_template_directory_uri() . '/assets/js/jquery.magnific-popup.js'), array('jquery'), ITPG_VERSION );

	wp_enqueue_script( 'itpg-navigation', esc_url(get_template_directory_uri() . '/assets/js/navigation.js'), array(), ITPG_VERSION, true );

	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
		wp_enqueue_script( 'comment-reply' );
	}
}
add_action( 'wp_enqueue_scripts', 'itpg_scripts' );