<?php
/**
 *	Function to provide custom colors to the theme
 */
 
function itpg_custom_colors() {
	
	$primary_color		=	get_theme_mod( 'itpg-primary-color', '' );
	$top_bar_opacity	=	get_theme_mod( 'itpg_top_bar_overlay_opacity', 30 ) / 100;
	
	$output = '';
	
	$output .= 
	'ins,
	#masthead,
	.main-navigation ul#menu-desktop ul,
	#itpg-home-portfolios .itpg-portfolio h3:before,
	#footer-sidebar,
	.tertiary-btn,
	#itpg-front-blog .itpg-front-blog-cta a,
	.edit-post-link,
	#comments .comment .reply a,
	#colophon,
	input[type="submit"],
	#menu
	{background-color: ' . sanitize_hex_color( $primary_color ) . '}';
	
	
	$output .= 
	'article .entry-meta a,
	article .blog-footer a,
	.nav-links a,
	.itpg-pagination .nav-links > a,
	#itpg-home-testimonials .owl-nav button,
	#itpg-home-testimonials .itpg-testimonial h3,
	.itpg-contacts h3,
	.widget ul li a:not(#footer-sidebar a),
	#author_box .author_name,
	#reply-title,
	#itpg-footer-social > * a:hover,
	#comments .logged-in-as a:last-child,
	.widget.widget_itpg_recent_posts .itpg-widget-post-title a:not(#footer-sidebar a),
	.widget.widget_itpg_featured_cat .itpg-widget-post-title a:not(#footer-sidebar a),
	body.single #primary .entry-footer > * a,
	#comments .comment .vcard a,
	cite,
	.itpg-pagination
	{color: ' . sanitize_hex_color( $primary_color ) . ' !important}';
	
	$output .= 
	'blockquote,
	.itpg-pagination .nav-links span.current:before
	{border-color: ' . sanitize_hex_color( $primary_color ) . '}';
	
	$output .=
	'span.divider svg circle
	{fill: ' . sanitize_hex_color( $primary_color ) . '}';

	
	wp_add_inline_style( 'itpg-main-style', $output );
	
}
add_action( 'wp_enqueue_scripts', 'itpg_custom_colors' );