<?php
/**
 * The main template file
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package IT Photographer
 */
get_header( NULL, array('header' => get_theme_mod('itpg_header_style', 'image') ) );
?>
	
	<?php
	if ( itpg_sidebar_align() == 'left' ) {
		do_action('itpg_sidebar', 'blog');
	}
	?>
	
	
	
	<main id="primary" class="site-main">
		<?php
			
			if ( get_theme_mod('itpg_blog_layout', 'classic') == 'metro' ) {
				echo '<div class="metro-wrapper">';
			} 
		
		if ( have_posts() ) :
		
			$count = 1;

			if ( is_home() && ! is_front_page() ) :
				?>
				<header>
					<h1 class="page-title screen-reader-text"><?php single_post_title(); ?></h1>
				</header>
				<?php
			endif;
			
			/* Start the Loop */
			while ( have_posts() ) :
				the_post();

				/*
				 * Include the Post-Type-specific template for the content.
				 * If you want to override this in a child theme, then include a file
				 * called content-___.php (where ___ is the Post Type name) and that will be used instead.
				 */
				do_action( 'itpg_layout', get_theme_mod('itpg_blog_layout', 'classic'), $count );
				
				$count++;
				
			endwhile;
			
			if ( get_theme_mod('itpg_blog_layout', 'classic') == 'metro' ) {
				echo '</div>';
			} 

			the_posts_pagination( apply_filters( 'itpg_posts_pagination_args', array(
				'class'	=>	'itpg-pagination',
				'prev_text'	=> '<i class="fa fa-angle-left"></i>',
				'next_text'	=> '<i class="fa fa-angle-right"></i>'
			) ) );
			
			

		else :

			get_template_part( 'template-parts/content', 'none' );

		endif;
		?>

	</main><!-- #main -->
	
	<?php
	if ( itpg_sidebar_align() == 'right' ) {
		do_action('itpg_sidebar', 'blog');
	}
	?>
	
<?php
get_footer();
