<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package IT News Grid
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	
	<?php
	if ( 'post' === get_post_type() ) :
		?>
		<div class="entry-meta">
			<?php
			itpg_posted_on();
			itpg_posted_by();
			?>
		</div><!-- .entry-meta -->
	<?php endif; ?>
	
	<div class="itpg-single-thumb">
		<?php if ( has_post_thumbnail() && get_theme_mod( 'itpg_single_featured_enable', 1 ) ): ?>
			<figure>
			
				<?php the_post_thumbnail('full'); ?>
				
				<?php if ( !empty( get_theme_mod( 'itpg_single_citation_enable', 1 ) ) ) : ?>
					<figcaption class="itpg-img-caption"><?php the_post_thumbnail_caption(); ?></figcaption>
				<?php endif; ?>
				
			</figure>
		<?php endif; ?>
	</div>

	<div class="entry-content">
		<?php
		the_content(
			sprintf(
				wp_kses(
					/* translators: %s: Name of current post. Only visible to screen readers */
					__( 'Continue reading<span class="screen-reader-text"> "%s"</span>', 'it-photographer' ),
					array(
						'span' => array(
							'class' => array(),
						),
					)
				),
				wp_kses_post( get_the_title() )
			)
		);

		wp_link_pages(
			array(
				'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'it-photographer' ),
				'after'  => '</div>',
			)
		);
		?>
	</div><!-- .entry-content -->

	<footer class="entry-footer">
		<?php itpg_entry_footer(); ?>
	</footer><!-- .entry-footer -->
</article><!-- #post-<?php the_ID(); ?> -->
